Name:           viagee
Version:        3.7.2
Release:        %autorelease
Summary:        Integrate GMail into the Linux desktop

License:        GPL-2.0-or-later
URL:            https://davesteele.github.io/viagee/
Source0:        https://github.com/davesteele/%{name}/archive/master/%{version}.tar.gz
BuildArch:      noarch
Provides:       gnome-gmail = %version
Obsoletes:      gnome-gmail < 3.3

BuildRequires:  %{_bindir}/appstream-util
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gtk3
BuildRequires:  intltool
BuildRequires:  libnotify
BuildRequires:  libsecret
BuildRequires:  libwnck3
BuildRequires:  python3-devel

Requires:       gtk3
Requires:       hicolor-icon-theme
Requires:       libnotify
Requires:       libsecret
Requires:       libwnck3
Requires:       python%{python3_pkgversion}-gobject-base
Requires:       python%{python3_pkgversion}-six
Requires:       xdg-utils


%description
Allows Gmail to act as the default mail application for the
desktop. 'Mailto' links, file attachments, Nautilus/LibreOffice "Send
to", etc. are supported.


%prep
%autosetup -n %{name}-master-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%py3_shebang_fix %{buildroot}%{_datadir}/%{name}/viagee.py
%pyproject_save_files %{name}

%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

mkdir -p %{buildroot}/%{_mandir}/man1/
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1


%check
%tox
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%pycached %{python3_sitelib}/%{name}.py
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/%{name}.appdata.xml
%{python3_sitelib}/%{name}-%{version}.dist-info/


%changelog
%autochangelog
